/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.event;

/**
 *  Adapter for the ClsListener interface.  Subclass this if you only want to catch a few events from the listener.
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public abstract class ClsAdapter implements ClsListener {

    public void directInstanceAdded(ClsEvent event) {
    }

    public void directInstanceRemoved(ClsEvent event) {
    }

    public void directSubclassAdded(ClsEvent event) {
    }

    public void directSubclassMoved(ClsEvent event) {
    }

    public void directSubclassRemoved(ClsEvent event) {
    }

    public void directSuperclassAdded(ClsEvent event) {
    }

    public void directSuperclassRemoved(ClsEvent event) {
    }

    public void templateFacetAdded(ClsEvent event) {
    }

    public void templateFacetRemoved(ClsEvent event) {
    }

    public void templateFacetValueChanged(ClsEvent event) {
    }

    public void templateSlotAdded(ClsEvent event) {
    }

    public void templateSlotRemoved(ClsEvent event) {
    }

    public void templateSlotValueChanged(ClsEvent event) {
    }
}
