/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.server.update;

import edu.stanford.smi.protege.model.Facet;
import edu.stanford.smi.protege.model.Frame;
import edu.stanford.smi.protege.model.Slot;


/**
 * This update means that there may or may not be a value for 
 * this frame, slot, facet, isTemplate group.  That is to say
 * the client must call the server to determine the value for this
 * frame, slot, facet, isTemplate combination.  If you want to tell
 * the client that there is definitely no value for this frame, slot, facet
 * isTemplate combination, see RemoveCacheUpdate
 * 
 * @author tredmond
 *
 */
public class InvalidateCacheUpdate extends SftUpdate {

  private static final long serialVersionUID = 1172779938759893668L;

  public InvalidateCacheUpdate(Frame frame, Slot slot, Facet facet, boolean isTemplate) {
    super(frame, slot, facet, isTemplate);
  }
  
  public String toString() {
    return "Invalidate["+ super.toString() + "]";
  }

}
