/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.util;

import java.io.File;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.LogRecord;

public class FileHandler extends java.util.logging.FileHandler {
  static String path;
  static {
    File file = ApplicationProperties.getLogFileDirectory();
    if (file == null) {
      path = "%t"; // the temp directory. Better somewhere than
      // nowhere!
    } else {
      path = file.getPath();
    }
    path = path + File.separatorChar + "protege_%u.log";
  }
  
  public FileHandler() throws IOException {
    super(path);
    setFormatter(new FileFormatter());
    publish(new LogRecord(Level.INFO, "*** SYSTEM START ***"));
  }

}
